Python 2.7.16 not available on Ubuntu 18.04 LTS

Asked by Simon on 2019-07-04

Hi,

Running on Ubuntu 18.04 LTS I can't install via apt python 2.7.16 which has a few security fixes.

As it's latest LTS I would have thought that security updates would be available.

Is python 2.7.16 planned to be available?
If so, is there any ETA?

Thank you very much,
Simon

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu python-defaults Edit question
Assignee:
No assignee Edit question
Solved by:
Simon
Solved:
2019-07-04
Last query:
2019-07-04
Last reply:
2019-07-04
Manfred Hampl (m-hampl) said : #1

Manfred Hampl suggests this article as an answer to your question:
FAQ #3037: “no rolling release”.

Manfred Hampl (m-hampl) said : #2

There are some PPAs, e.g. https://launchpad.net/~jonathonf/+archive/ubuntu/python-2.7
If you urgently need 2.7.16, then you could try a version form a PPA.
Remark: Important security fixes are backported also to the older versions in Ubuntu.

Simon (simonweil) said : #3

I see, thank you.